[M001-2]配方助手-报告查询
通过[M001-1]配方助手-报告创建 生成的task_id来获取配方助手的任务结果
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
必填 | string | 80d440b7-80a5-4233-a75f-ab72b0885c88 | 任务id |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | object | - | 响应数据 |
status | integer<int32> | 2 | 任务执行状态(1:正在执行 2:执行成功 3:生成异常) |
formulations | array | [
{
"dimension": "Mechanical Reinforcement and Energy Dissipation",
"formulation_1": {
"source": "https://patents.google.com/patent/CN101792545B/zh",
"status": "success",
"solution_id": "d739436a-6ff9-458a-b7c4-8e6518862a11",
"solution_type": "WEBSITE",
"ingredient_list": [
{
"content": [
6,
40
],
"function": "Reinforcing filler",
"ingredient": "Carbon black"
},
{
"content": [
45,
80
],
"function": "Reinforcing filler",
"ingredient": "Silica (white carbon black)"
},
{
"content": [
3,
6
],
"function": "Filler dispersion/compatibilizer",
"ingredient": "Silane coupling agent"
},
{
"content": [
20,
45
],
"function": "Plasticizer",
"ingredient": "Aromatic oil"
},
{
"content": [
1,
5
],
"function": "Tackifier",
"ingredient": "Tackifying resin"
},
{
"content": [
1,
4.5
],
"function": "Activator",
"ingredient": "Zinc oxide"
},
{
"content": [
0.5,
2.5
],
"function": "Activator",
"ingredient": "Stearic acid"
},
{
"content": [
1.5,
3.5
],
"function": "Crosslinker (vulcanizing agent)",
"ingredient": "Sulfur"
},
{
"content": [
2,
5
],
"function": "Vulcanization accelerator",
"ingredient": "Accelerator"
}
]
},
"formulation_2": {
"source": "https://www.hsxjw.com/tianranjiaobaike_2115.html",
"status": "success",
"solution_id": "6a83f9bd-0506-43a6-aae1-d78bb6a8cc53",
"solution_type": "WEBSITE",
"ingredient_list": [
{
"content": [
50.9,
50.9
],
"function": "Polymer matrix",
"ingredient": "Natural rubber"
},
{
"content": [
2.04,
2.04
],
"function": "Activator",
"ingredient": "Zinc oxide"
},
{
"content": [
1.78,
1.78
],
"function": "Activator",
"ingredient": "Stearic acid"
},
{
"content": [
0.76,
0.76
],
"function": "Antioxidant",
"ingredient": "Antioxidant 4010"
},
{
"content": [
0.51,
0.51
],
"function": "Antioxidant",
"ingredient": "Antioxidant D"
},
{
"content": [
30.54,
30.54
],
"function": "Reinforcing filler",
"ingredient": "Carbon black N330"
},
{
"content": [
10.18,
10.18
],
"function": "Reinforcing filler",
"ingredient": "Channel black"
},
{
"content": [
1.53,
1.53
],
"function": "Plasticizer",
"ingredient": "Pine tar"
},
{
"content": [
0.31,
0.31
],
"function": "Vulcanization accelerator",
"ingredient": "Accelerator NOBS"
},
{
"content": [
1.43,
1.43
],
"function": "Crosslinker (vulcanizing agent)",
"ingredient": "Sulfur"
}
]
},
"strategy_index": 0
}
] | 配方列表 |
dimension | string | Mechanical Reinforcement and Energy Dissipation | 维度 |
formulation_1 | object | {
"source": "https://patents.google.com/patent/CN101792545B/zh",
"status": "success",
"solution_id": "d739436a-6ff9-458a-b7c4-8e6518862a11",
"solution_type": "WEBSITE",
"ingredient_list": [
{
"content": [
6,
40
],
"function": "Reinforcing filler",
"ingredient": "Carbon black"
},
{
"content": [
45,
80
],
"function": "Reinforcing filler",
"ingredient": "Silica (white carbon black)"
},
{
"content": [
3,
6
],
"function": "Filler dispersion/compatibilizer",
"ingredient": "Silane coupling agent"
},
{
"content": [
20,
45
],
"function": "Plasticizer",
"ingredient": "Aromatic oil"
},
{
"content": [
1,
5
],
"function": "Tackifier",
"ingredient": "Tackifying resin"
},
{
"content": [
1,
4.5
],
"function": "Activator",
"ingredient": "Zinc oxide"
},
{
"content": [
0.5,
2.5
],
"function": "Activator",
"ingredient": "Stearic acid"
},
{
"content": [
1.5,
3.5
],
"function": "Crosslinker (vulcanizing agent)",
"ingredient": "Sulfur"
},
{
"content": [
2,
5
],
"function": "Vulcanization accelerator",
"ingredient": "Accelerator"
}
]
} | 配方1 |
source | string | https://patents.google.com/patent/CN101792545B/zh | 来源 |
status | string | success | 状态 |
name_cn | string | name | 中文名称 |
solution_id | string | d739436a-6ff9-458a-b7c4-8e6518862a11 | 解决方案ID |
country_name | string | 中国 | 国家名称 |
solution_type | string | WEBSITE | 解决方案类型 |
ingredient_list | array | [
{
"content": [
6,
40
],
"function": "Reinforcing filler",
"ingredient": "Carbon black"
},
{
"content": [
45,
80
],
"function": "Reinforcing filler",
"ingredient": "Silica (white carbon black)"
},
{
"content": [
3,
6
],
"function": "Filler dispersion/compatibilizer",
"ingredient": "Silane coupling agent"
},
{
"content": [
20,
45
],
"function": "Plasticizer",
"ingredient": "Aromatic oil"
},
{
"content": [
1,
5
],
"function": "Tackifier",
"ingredient": "Tackifying resin"
},
{
"content": [
1,
4.5
],
"function": "Activator",
"ingredient": "Zinc oxide"
},
{
"content": [
0.5,
2.5
],
"function": "Activator",
"ingredient": "Stearic acid"
},
{
"content": [
1.5,
3.5
],
"function": "Crosslinker (vulcanizing agent)",
"ingredient": "Sulfur"
},
{
"content": [
2,
5
],
"function": "Vulcanization accelerator",
"ingredient": "Accelerator"
}
] | 成分列表 |
content | array | [
6,
40
] | 含量范围 |
function | string | Reinforcing filler | 功能 |
ingredient | string | Carbon black | 成分名称 |
formulation_2 | object | {
"source": "https://www.hsxjw.com/tianranjiaobaike_2115.html",
"status": "success",
"solution_id": "6a83f9bd-0506-43a6-aae1-d78bb6a8cc53",
"solution_type": "WEBSITE",
"ingredient_list": [
{
"content": [
50.9,
50.9
],
"function": "Polymer matrix",
"ingredient": "Natural rubber"
},
{
"content": [
2.04,
2.04
],
"function": "Activator",
"ingredient": "Zinc oxide"
},
{
"content": [
1.78,
1.78
],
"function": "Activator",
"ingredient": "Stearic acid"
},
{
"content": [
0.76,
0.76
],
"function": "Antioxidant",
"ingredient": "Antioxidant 4010"
},
{
"content": [
0.51,
0.51
],
"function": "Antioxidant",
"ingredient": "Antioxidant D"
},
{
"content": [
30.54,
30.54
],
"function": "Reinforcing filler",
"ingredient": "Carbon black N330"
},
{
"content": [
10.18,
10.18
],
"function": "Reinforcing filler",
"ingredient": "Channel black"
},
{
"content": [
1.53,
1.53
],
"function": "Plasticizer",
"ingredient": "Pine tar"
},
{
"content": [
0.31,
0.31
],
"function": "Vulcanization accelerator",
"ingredient": "Accelerator NOBS"
},
{
"content": [
1.43,
1.43
],
"function": "Crosslinker (vulcanizing agent)",
"ingredient": "Sulfur"
}
]
} | 配方2 |
strategy_index | integer<int32> | - | 策略索引 |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": {
"status": 2,
"formulations": [
{
"dimension": "Mechanical Reinforcement and Energy Dissipation",
"formulation_1": {
"source": "https://patents.google.com/patent/CN101792545B/zh",
"status": "success",
"name_cn": "name",
"solution_id": "d739436a-6ff9-458a-b7c4-8e6518862a11",
"country_name": "中国",
"solution_type": "WEBSITE",
"ingredient_list": [
{
"content": [
6,
40
],
"function": "Reinforcing filler",
"ingredient": "Carbon black"
}
]
},
"formulation_2": {
"source": "https://patents.google.com/patent/CN101792545B/zh",
"status": "success",
"name_cn": "name",
"solution_id": "d739436a-6ff9-458a-b7c4-8e6518862a11",
"country_name": "中国",
"solution_type": "WEBSITE",
"ingredient_list": [
{
"content": [
6,
40
],
"function": "Reinforcing filler",
"ingredient": "Carbon black"
}
]
},
"strategy_index": 0
}
]
},
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200000 | API整体限流错误! |
67200001 | API整体限流错误! |
67200002 | 当前调用速率过快,超过当前配置限制QPS! |
67200003 | 申请token的key和secret传参不正确或者客户端已被禁用! |
67200004 | 请求的接口无权限请联系我们的支持人员! |
67200005 | 账户余额/调用次数不足! |
67200006 | 客户端超过开通有效期! |
67200007 | 当前调用超过当天配置使用额度! |
67200008 | 请检查query参数中必填的apikey是否传输! |
67200009 | apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token! |
67200012 | 请求不合法! |
67200100 | 当前服务器状态正忙,请求响应超时! |
67200101 | 当前请求的Api不存在请检查请求Path! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms